### Hierarchy

- MenuSettings

## Index

### Constructors

- constructor

### Properties

- audio
- controlDisablingEnabled
- enabledControls
- mouseControlsEnabled
- mouseEdgeEnabled
- resetCursorOnOpen
- scaleWithSafezone

## Constructors

### constructor

- new MenuSettings(): MenuSettings

- #### Returns MenuSettings

## Properties

### audio

audio: { back: string; error: string; leftRight: string; library: string; select: string; upDown: string } = ...

- Defined in ui/menu/MenuSettings.ts:10

#### Type declaration

- ##### back: string

- ##### error: string

- ##### leftRight: string

- ##### library: string

- ##### select: string

- ##### upDown: string

### controlDisablingEnabled

controlDisablingEnabled: boolean = true

- Defined in ui/menu/MenuSettings.ts:9

### enabledControls

enabledControls: { 0: Control[]; 2: Control[] } = ...

- Defined in ui/menu/MenuSettings.ts:18

#### Type declaration

- ##### 0: Control[]

- ##### 2: Control[]

### mouseControlsEnabled

mouseControlsEnabled: boolean = true

- Defined in ui/menu/MenuSettings.ts:7

### mouseEdgeEnabled

mouseEdgeEnabled: boolean = true

- Defined in ui/menu/MenuSettings.ts:8

### resetCursorOnOpen

resetCursorOnOpen: boolean = true

- Defined in ui/menu/MenuSettings.ts:6

### scaleWithSafezone

scaleWithSafezone: boolean = true

- Defined in ui/menu/MenuSettings.ts:5

Generated using TypeDoc